{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Run CG-Viewer",
            "type": "shell",
            "command": "LD_LIBRARY_PATH=$LD_LIBRARY_PATH:CGII/build/cmake/build/bin/unix/ framework/bin/unix/./cgv_viewer plugin:cg_fltk.cgv plugin:CGII.cgv",
            "problemMatcher": []
        },
        {
            "label": "Build All",
            "type": "shell",
            "command": "cd framework && sh buildLinux.sh",
            "problemMatcher": []
        },
        {
            "label": "Build CGII",
            "type": "shell",
            "command": "cd CGII/build/cmake && cmake . && make clean && make -j16",
            "problemMatcher": []
        }
    ]
}